Bug 106 - update for latest gloox API
Summary: update for latest gloox API
Status: NEW
Alias: None
Product: resiprocate
Classification: Unclassified
Component: iChat-GW (show other bugs)
Version: unspecified
Hardware: All All
: P1 normal
Assignee: Owner of all unassigned bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-11 05:03 CST by Daniel Pocock
Modified: 2016-09-17 09:23 CDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Pocock 2015-11-11 05:03:05 CST
The gloox API has changed.

iChat-GW doesn't compile with the latest API distributed in Linux systems such as Debian.

Therefore, we need to:

a) identify the version to be supported

b) copy it into the contrib folder for Windows builds

c) adapt the apps/ichat-gw code to use the new API
Comment 1 Daniel Pocock 2016-09-17 09:23:38 CDT
Balram has worked on this as part of GSoC 2016

https://wiki.debian.org/SummerOfCode2016/WorkProduct/Balram

https://github.com/resiprocate/resiprocate/pull/58/files